import { OnChanges, OnDestroy, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Subscription } from 'rxjs';
import { Cell } from './data-set/cell';
import { ClickOutsideDefault } from './click-outside-default';
export interface Editor {
    cell: Cell;
    inputClass: string;
    onStopEditing: EventEmitter<any>;
    onEdited: EventEmitter<any>;
    onClick: EventEmitter<any>;
}
export declare class DefaultEditorDirective extends ClickOutsideDefault implements Editor, OnChanges, OnDestroy {
    editingFormGroup: FormGroup;
    cell: Cell;
    inputClass: string;
    updateColumnList: any;
    onStopEditing: EventEmitter<any>;
    onEdited: EventEmitter<any>;
    onClick: EventEmitter<any>;
    errorsData: any;
    openValidatorPopover: boolean;
    protected subscription$: Subscription;
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
