import { EventEmitter, OnChanges, ElementRef, AfterViewInit, Renderer2 } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Grid } from '../../lib/grid';
import { ActionCustom } from '../../table.interfaces';
export declare class Ng2SmartTableTheadComponent implements OnChanges, AfterViewInit {
    private elemRef;
    private renderer;
    editingFormGroup: FormGroup;
    grid: Grid;
    createConfirm: EventEmitter<any>;
    updateColumnList: any;
    cancelCreate: EventEmitter<any>;
    sort: EventEmitter<any>;
    selectAllRows: EventEmitter<boolean>;
    create: EventEmitter<any>;
    selectedElem: EventEmitter<any>;
    createSave: EventEmitter<any>;
    filter: EventEmitter<any>;
    getColumnFilters: EventEmitter<string>;
    customAction: EventEmitter<ActionCustom>;
    tableHead: HTMLElement;
    isHideHeader: boolean;
    constructor(elemRef: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
}
